--author: igor29381

MaterialHolder = {};
MaterialHolder.curModDir = g_currentModDirectory;

function MaterialHolder:loadMap(name)
	if not g_currentMission.hudLoadOverlay then
		local overlay = g_currentMission.hudTipperOverlay;
		g_currentMission.hudLoadOverlay = Overlay:new("hudLoadOverlay", MaterialHolder.curModDir..'textures/greenArrow_diffuse.dds', overlay.x, overlay.y, overlay.width, overlay.height);
		FSBaseMission.drawHudIcon = function(mission)
			local overlay = nil;
			if mission.activeHudIconName == "tip" then
				overlay = mission.hudTipperOverlay;
			elseif mission.activeHudIconName == "attach" then
				overlay = mission.hudAttachmentOverlay;
			elseif mission.activeHudIconName == "refuel" then
				overlay = mission.hudFuelOverlay;
			elseif mission.activeHudIconName == "detachingNotAllowed" then
				overlay = mission.hudDetachingNotAllowedOverlay;
			elseif mission.activeHudIconName == "load" then
				overlay = mission.hudLoadOverlay;
			end;
			if overlay ~= nil then
				overlay:setColor(nil,nil,nil,mission.activeHudIconAlpha);
				overlay:render();
			end;
			mission.activeHudIconName = "";
			mission.activeHudIconPriority = 0;
			mission.activeHudIconAlpha = 1;
		end;
	end;
	MaterialHolder.heapMaterials = {};
	local i3dFilename = MaterialHolder.curModDir.."materialHolder/heapMaterialHolder.i3d";
	if fileExists(i3dFilename) then
		local i3dRoot = Utils.loadSharedI3DFile(i3dFilename);
		if i3dRoot > 0 then
			for i=1, getNumOfChildren(i3dRoot) do
				local holder = getChildAt(i3dRoot, i-1);
				local material = getMaterial(holder, 0);
				if material > 0 then
					local fillType = FillUtil.fillTypeNameToInt[getName(holder)];
					if fillType then
						MaterialHolder.heapMaterials[fillType] = material;
					end;
				end;
			end;
			delete(i3dRoot);
		end;
	end;
	local xmlFileName = MaterialHolder.curModDir.."StoragePlaceable.xml";
	local storeItem = StoreItemsUtil.storeItemsByXMLFilename[string.lower(xmlFileName)];
	if storeItem then
		local xmlFile = loadXMLFile("TempXML", xmlFileName);
		local fillTypes = getXMLString(xmlFile, "placeable.fillUnit#fillTypes");
		if fillTypes then
			storeItem.specs.fillTypes.fillTypes = {};
			fillTypes = Utils.splitString(" ", fillTypes);
			for i=1, #fillTypes do
				local fillTypeName = fillTypes[i];
				table.insert(storeItem.specs.fillTypes.fillTypes, FillUtil.fillTypeNameToInt[fillTypeName]);
			end;
		end;
		delete(xmlFile);
	end;
end;

function MaterialHolder:deleteMap()
end;

function MaterialHolder:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MaterialHolder:keyEvent(unicode, sym, modifier, isDown)
end;

function MaterialHolder:update(dt)
end;

function MaterialHolder:draw()
end;

addModEventListener(MaterialHolder);
